import { useConfig } from '@abearxiong/use-config';
import { Sequelize } from 'sequelize';

type PostgresConfig = {
  supabaseSQL: {
    username: string;
    password: string;
    host: string;
    port: number;
    database: string;
  };
};
const config = useConfig<PostgresConfig>();

const postgresConfig = config.supabaseSQL;

if (!postgresConfig) {
  console.error('postgres config is required');
  process.exit(1);
}
// connect to db
export const sequelize = new Sequelize({
  dialect: 'postgres',
  ...postgresConfig,
  // logging: false,
});
